Debian Bug report logs - #593375
udev: Doesnt create lvm symlinks

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: "Jean-Luc Coulon \(f5ibh\)" <jean-luc.coulon@wanadoo.fr>

Date: Tue, 17 Aug 2010 17:33:02 UTC

Severity: critical

Tags: help

Found in version udev/160-1

Fixed in version udev/163-1

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#593375; Package udev. (Tue, 17 Aug 2010 17:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jean-Luc Coulon \(f5ibh\)" <jean-luc.coulon@wanadoo.fr>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 17 Aug 2010 17:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Jean-Luc Coulon \(f5ibh\)" <jean-luc.coulon@wanadoo.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: udev: Doesnt create lvm symlinks
Date: Tue, 17 Aug 2010 19:28:04 +0200
Package: udev
Version: 160-1
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

After upgrade from 160 to 161, udev doesnt create lvm volumes symlinks any more.
Here is the related part of the boot log:

Tue Aug 17 09:05:00 2010: Starting early crypto disks...done.
Tue Aug 17 09:05:00 2010: Cleaning up ifupdown....
Tue Aug 17 09:05:00 2010: Setting up networking....
Tue Aug 17 09:05:00 2010: Loading kernel modules...done.
Tue Aug 17 09:05:00 2010: Setting up LVM Volume Groups  Reading all physical
volumes.  This may take a while...
Tue Aug 17 09:05:00 2010:   Found volume group "vg00" using metadata type lvm2
Tue Aug 17 09:05:00 2010:   Found volume group "cryptvg00" using metadata type
lvm2
Tue Aug 17 09:05:00 2010:   The link /dev/vg00/root_lv should had been created
by udev but it was not found. Falling back to direct link creation.
Tue Aug 17 09:05:00 2010:   The link /dev/cryptvg00/home_lv should had been
created by udev but it was not found. Falling back to direct link creation.
Tue Aug 17 09:05:00 2010:   The link /dev/cryptvg00/tmp_lv should had been
created by udev but it was not found. Falling back to direct link creation.
Tue Aug 17 09:05:00 2010:   The link /dev/cryptvg00/swap_lv should had been
created by udev but it was not found. Falling back to direct link creation.
Tue Aug 17 09:05:00 2010:   The link /dev/cryptvg00/mail_lv should had been
created by udev but it was not found. Falling back to direct link creation.
Tue Aug 17 09:05:00 2010:   The link /dev/cryptvg00/photos1_lv should had been
created by udev but it was not found. Falling back to direct link creation.
Tue Aug 17 09:05:00 2010:   The link /dev/cryptvg00/music_lv should had been
created by udev but it was not found. Falling back to direct link creation.
Tue Aug 17 09:05:00 2010:   The link /dev/cryptvg00/photos_lv should had been
created by udev but it was not found. Falling back to direct link creation.
Tue Aug 17 09:05:00 2010:   The link /dev/cryptvg00/snap_home should had been
created by udev but it was not found. Falling back to direct link creation.
Tue Aug 17 09:05:00 2010:   6 logical volume(s) in volume group "vg00" now
active
Tue Aug 17 09:05:00 2010:   8 logical volume(s) in volume group "cryptvg00" now
active
Tue Aug 17 09:05:00 2010: .
Tue Aug 17 09:05:00 2010: Starting remaining crypto disks...done.
Tue Aug 17 09:05:00 2010: Activating lvm and md swap...done.


Reverting to 160 fixes the problem.

Regards

Jean-Luc

- -- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (900, 'unstable'), (700, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35-k8-2 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages udev depends on:
ii  cdebconf [debconf-2.0]       0.150       Debian Configuration Management Sy
ii  debconf [debconf-2.0]        1.5.35      Debian configuration management sy
ii  libc6                        2.11.2-2    Embedded GNU C Library: Shared lib
ii  libselinux1                  2.0.96-1    SELinux runtime shared libraries
ii  libudev0                     160-1       libudev shared library
ii  libusb-0.1-4                 2:0.1.12-15 userspace USB programming library
ii  lsb-base                     3.2-23.1    Linux Standard Base 3.2 init scrip
ii  util-linux                   2.17.2-3.1  Miscellaneous system utilities

Versions of packages udev recommends:
ii  pciutils                      1:3.1.7-4  Linux PCI Utilities
ii  usbutils                      0.87-5     Linux USB utilities

udev suggests no packages.

- -- debconf information:
  udev/new_kernel_needed: false
  udev/title/upgrade:
  udev/reboot_needed:

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMasahUdGGXzzGnNARAnDmAJ9g1eMc14wKDniIrQwy1zlt4ES3BwCgqwYe
PWvXOLcSOEu128vUBuZMRxk=
=m0kN
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#593375; Package udev. (Tue, 17 Aug 2010 18:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 17 Aug 2010 18:54:06 GMT) Full text and rfc822 format available.

Message #10 received at 593375@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: "Jean-Luc Coulon (f5ibh)" <jean-luc.coulon@wanadoo.fr>, 593375@bugs.debian.org
Subject: Re: Bug#593375: udev: Doesnt create lvm symlinks
Date: Tue, 17 Aug 2010 20:53:06 +0200
[Message part 1 (text/plain, inline)]
On Aug 17, "Jean-Luc Coulon (f5ibh)" <jean-luc.coulon@wanadoo.fr> wrote:

> After upgrade from 160 to 161, udev doesnt create lvm volumes symlinks any more.
Is this fixed if you s#rm -rf /dev/.udev/failed/#rm -rf /dev/.udev/# in
/etc/init.d/udev ?

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#593375; Package udev. (Wed, 18 Aug 2010 06:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean-Luc Coulon <jean-luc.coulon@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 18 Aug 2010 06:33:08 GMT) Full text and rfc822 format available.

Message #15 received at 593375@bugs.debian.org (full text, mbox):

From: Jean-Luc Coulon <jean-luc.coulon@wanadoo.fr>
To: 593375@bugs.debian.org
Subject: Re: Bug#593375: udev: Doesnt create lvm symlinks
Date: Tue, 17 Aug 2010 22:26:58 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Marco,

Le 17/08/2010 20:53, Marco d'Itri a écrit :
> On Aug 17, "Jean-Luc Coulon (f5ibh)" <jean-luc.coulon@wanadoo.fr> wrote:
> 
>> After upgrade from 160 to 161, udev doesnt create lvm volumes symlinks any more.
> Is this fixed if you s#rm -rf /dev/.udev/failed/#rm -rf /dev/.udev/# in
> /etc/init.d/udev ?
> 

Yes! I've no more these error messages this way.

Regards

Jean-Luc
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.14 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iD8DBQFMavCRUdGGXzzGnNARAuXuAKCfGY7QwfpXjOzvkScoNb23BWRtIgCgoP7C
1stxkm5kijK7Fazk/OeYDm4=
=VyAT
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#593375; Package udev. (Wed, 18 Aug 2010 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 18 Aug 2010 08:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 593375@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: 593375@bugs.debian.org
Cc: prajnoha@redhat.com
Subject: Re: Bug#593375: udev: Doesnt create lvm symlinks
Date: Wed, 18 Aug 2010 10:54:03 +0200
[Message part 1 (text/plain, inline)]
After I started not deleting the initramfs database as you asked,
I received multiple bug reports like this one.
Version of LVM in Debian is 2.02.66-2, please advise.

On Aug 17, "Jean-Luc Coulon (f5ibh)" <jean-luc.coulon@wanadoo.fr> wrote:

> Package: udev
> Version: 160-1
> Severity: normal
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Hi,
> 
> After upgrade from 160 to 161, udev doesnt create lvm volumes symlinks any more.
> Here is the related part of the boot log:
> 
> Tue Aug 17 09:05:00 2010: Starting early crypto disks...done.
> Tue Aug 17 09:05:00 2010: Cleaning up ifupdown....
> Tue Aug 17 09:05:00 2010: Setting up networking....
> Tue Aug 17 09:05:00 2010: Loading kernel modules...done.
> Tue Aug 17 09:05:00 2010: Setting up LVM Volume Groups  Reading all physical
> volumes.  This may take a while...
> Tue Aug 17 09:05:00 2010:   Found volume group "vg00" using metadata type lvm2
> Tue Aug 17 09:05:00 2010:   Found volume group "cryptvg00" using metadata type
> lvm2
> Tue Aug 17 09:05:00 2010:   The link /dev/vg00/root_lv should had been created
> by udev but it was not found. Falling back to direct link creation.
> Tue Aug 17 09:05:00 2010:   The link /dev/cryptvg00/home_lv should had been
> created by udev but it was not found. Falling back to direct link creation.
> Tue Aug 17 09:05:00 2010:   The link /dev/cryptvg00/tmp_lv should had been
> created by udev but it was not found. Falling back to direct link creation.
> Tue Aug 17 09:05:00 2010:   The link /dev/cryptvg00/swap_lv should had been
> created by udev but it was not found. Falling back to direct link creation.
> Tue Aug 17 09:05:00 2010:   The link /dev/cryptvg00/mail_lv should had been
> created by udev but it was not found. Falling back to direct link creation.
> Tue Aug 17 09:05:00 2010:   The link /dev/cryptvg00/photos1_lv should had been
> created by udev but it was not found. Falling back to direct link creation.
> Tue Aug 17 09:05:00 2010:   The link /dev/cryptvg00/music_lv should had been
> created by udev but it was not found. Falling back to direct link creation.
> Tue Aug 17 09:05:00 2010:   The link /dev/cryptvg00/photos_lv should had been
> created by udev but it was not found. Falling back to direct link creation.
> Tue Aug 17 09:05:00 2010:   The link /dev/cryptvg00/snap_home should had been
> created by udev but it was not found. Falling back to direct link creation.
> Tue Aug 17 09:05:00 2010:   6 logical volume(s) in volume group "vg00" now
> active
> Tue Aug 17 09:05:00 2010:   8 logical volume(s) in volume group "cryptvg00" now
> active
> Tue Aug 17 09:05:00 2010: .
> Tue Aug 17 09:05:00 2010: Starting remaining crypto disks...done.
> Tue Aug 17 09:05:00 2010: Activating lvm and md swap...done.
> 
> 
> Reverting to 160 fixes the problem.
> 
> Regards
> 
> Jean-Luc
> 
> - -- System Information:
> Debian Release: squeeze/sid
>   APT prefers unstable
>   APT policy: (900, 'unstable'), (700, 'experimental')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.35-k8-2 (SMP w/2 CPU cores; PREEMPT)
> Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages udev depends on:
> ii  cdebconf [debconf-2.0]       0.150       Debian Configuration Management Sy
> ii  debconf [debconf-2.0]        1.5.35      Debian configuration management sy
> ii  libc6                        2.11.2-2    Embedded GNU C Library: Shared lib
> ii  libselinux1                  2.0.96-1    SELinux runtime shared libraries
> ii  libudev0                     160-1       libudev shared library
> ii  libusb-0.1-4                 2:0.1.12-15 userspace USB programming library
> ii  lsb-base                     3.2-23.1    Linux Standard Base 3.2 init scrip
> ii  util-linux                   2.17.2-3.1  Miscellaneous system utilities
> 
> Versions of packages udev recommends:
> ii  pciutils                      1:3.1.7-4  Linux PCI Utilities
> ii  usbutils                      0.87-5     Linux USB utilities
> 
> udev suggests no packages.
> 
> - -- debconf information:
>   udev/new_kernel_needed: false
>   udev/title/upgrade:
>   udev/reboot_needed:
> 
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.10 (GNU/Linux)
> 
> iD8DBQFMasahUdGGXzzGnNARAnDmAJ9g1eMc14wKDniIrQwy1zlt4ES3BwCgqwYe
> PWvXOLcSOEu128vUBuZMRxk=
> =m0kN
> -----END PGP SIGNATURE-----
> 

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#593375; Package udev. (Thu, 19 Aug 2010 15:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Rajnoha <prajnoha@redhat.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 19 Aug 2010 15:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 593375@bugs.debian.org (full text, mbox):

From: Peter Rajnoha <prajnoha@redhat.com>
To: "Marco d'Itri" <md@Linux.IT>
Cc: 593375@bugs.debian.org
Subject: Re: Bug#593375: udev: Doesnt create lvm symlinks
Date: Thu, 19 Aug 2010 17:17:00 +0200
On 08/18/2010 10:54 AM +0100, Marco d'Itri wrote:
> After I started not deleting the initramfs database as you asked,
> I received multiple bug reports like this one.
> Version of LVM in Debian is 2.02.66-2, please advise.
> 
>> After upgrade from 160 to 161, udev doesnt create lvm volumes symlinks any more.
>> Here is the related part of the boot log:
>> Tue Aug 17 09:05:00 2010:   The link /dev/vg00/root_lv should had been created
>> by udev but it was not found. Falling back to direct link creation.

OK, here's what happens:

1. the LV with root fs is activated in initrd and udev database is filled.

2. root fs is mounted

3. /etc/init.d/udev script is running (keeping the udev db from initrd), calling:
      /sbin/udevadm trigger --action=add

   Since udev db now contains records about devices including dm devices and since
   the version of the rules used in Debian does not contain everything that's needed
   for proper support of synthesized events, the ADD event generated by udev script's
   trigger will be ignored instead of being detected and used.

   (symlinks for dm devices are created only after the CHANGE event, unless there's
    a support for synthesized ADD events which we added later)

   But ignoring events in udev rules means removing any existing symlinks! This will
   remove any existing /dev/<vgname>/<lvname> symlinks.

   The missing parts are these:

       IMPORT{db}="DM_UDEV_PRIMARY_SOURCE_FLAG"

   and

       ACTION=="add", ENV{DM_UDEV_PRIMARY_SOURCE_FLAG}!="1", GOTO="dm_disable"

       (instead of ACTION=="add", ENV{STARTUP}!="1", NAME="", GOTO="dm_end")

   These changes are all in new upstream release of lvm2/libdevmapper though.
   (Anyway, the NAME="" shouldn't be used anymore - it's deprecated as well now)


   This problem did not occur/was not revealed before the change in udev init
   script (keeping the udev db) because of the obscure situation actually:

     - the /dev was populated in initrd

     - the udev database was cleared though

     - /dev/<vgname>/<lvname> symlinks remained because when running initial
       udevadm trigger --action=add in udev init script, there was no udev database.
       We ignored the ADD event, but since there was no udev database record, udevd
       didn't know about symlinks already created and so it kept any existing ones.
       That's the reason why "vgscan --mknodes" did not warn about anything before
       the change...
    
3. /etc/init.d/lvm2 script is running, calling:

      /sbin/vgscan --ignorelockingfailure --mknodes

   The "--mknodes" shouldn't be used actually when we use udev with lvm2/libdevmapper.
   Since we have udev support enabled, we expect that the symlinks are created by udev
   itself. If we detect that they're missing, we issue a warning message and fallback
   to direct link creation.

   Maybe:

       "udevadm trigger --action=change --attr-match=dm/name

   or

       "udevadm trigger --actoin=change --sysname-match=dm-*

   is more appropriate here instead (I assume that would also be a nice way how to support
   even non-udev initrds if someone makes his own...).


So, basically, the main source of the problem was the "--mknodes" parameter in that lvm2
init hook - that udevadm trigger --action=change should be used instead.

But also, I really recommend using latest upstream release with the rules that should handle
those synthesized events properly (even the udev's initial udevadm trigger --action=ADD).
We relied on udev init script to set the ENV{STARTUP}="1" before calling the trigger, but
this solution was deprecated (as we discussed it more with upstream udev). So we came with
this DM_UDEV_PRIMARY_SOURCE_FLAG checking and keeping the udev database from initrd then
(which is a more correct solution anyway).

Maybe this should be forwarded to Debian's lvm2 maintainer to make appropriate
changes/updates.

If there's any other problem, please, let me know...

Peter




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#593375; Package udev. (Thu, 19 Aug 2010 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 19 Aug 2010 17:33:03 GMT) Full text and rfc822 format available.

Message #30 received at 593375@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: 593375@bugs.debian.org, pkg-lvm-maintainers@lists.alioth.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#593375: udev: Doesnt create lvm symlinks
Date: Thu, 19 Aug 2010 19:29:57 +0200
[Message part 1 (text/plain, inline)]
clone 593375 -1
retitle -1 LVM needs to be updated for modern udev releases
reassign -1 lvm2
severity 593375 critical
thanks

Please let me know your plans about this, I need to upload a new udev
package with a fix.

The udev package will need a Breaks directive and lvm needs to change
the init script and rules as described here.
Or else I will have to revert the change, but I'd rather not have to.

On Aug 19, Peter Rajnoha <prajnoha@redhat.com> wrote:

> On 08/18/2010 10:54 AM +0100, Marco d'Itri wrote:
> > After I started not deleting the initramfs database as you asked,
> > I received multiple bug reports like this one.
> > Version of LVM in Debian is 2.02.66-2, please advise.
> > 
> >> After upgrade from 160 to 161, udev doesnt create lvm volumes symlinks any more.
> >> Here is the related part of the boot log:
> >> Tue Aug 17 09:05:00 2010:   The link /dev/vg00/root_lv should had been created
> >> by udev but it was not found. Falling back to direct link creation.
> 
> OK, here's what happens:
> 
> 1. the LV with root fs is activated in initrd and udev database is filled.
> 
> 2. root fs is mounted
> 
> 3. /etc/init.d/udev script is running (keeping the udev db from initrd), calling:
>       /sbin/udevadm trigger --action=add
> 
>    Since udev db now contains records about devices including dm devices and since
>    the version of the rules used in Debian does not contain everything that's needed
>    for proper support of synthesized events, the ADD event generated by udev script's
>    trigger will be ignored instead of being detected and used.
> 
>    (symlinks for dm devices are created only after the CHANGE event, unless there's
>     a support for synthesized ADD events which we added later)
> 
>    But ignoring events in udev rules means removing any existing symlinks! This will
>    remove any existing /dev/<vgname>/<lvname> symlinks.
> 
>    The missing parts are these:
> 
>        IMPORT{db}="DM_UDEV_PRIMARY_SOURCE_FLAG"
> 
>    and
> 
>        ACTION=="add", ENV{DM_UDEV_PRIMARY_SOURCE_FLAG}!="1", GOTO="dm_disable"
> 
>        (instead of ACTION=="add", ENV{STARTUP}!="1", NAME="", GOTO="dm_end")
> 
>    These changes are all in new upstream release of lvm2/libdevmapper though.
>    (Anyway, the NAME="" shouldn't be used anymore - it's deprecated as well now)
> 
> 
>    This problem did not occur/was not revealed before the change in udev init
>    script (keeping the udev db) because of the obscure situation actually:
> 
>      - the /dev was populated in initrd
> 
>      - the udev database was cleared though
> 
>      - /dev/<vgname>/<lvname> symlinks remained because when running initial
>        udevadm trigger --action=add in udev init script, there was no udev database.
>        We ignored the ADD event, but since there was no udev database record, udevd
>        didn't know about symlinks already created and so it kept any existing ones.
>        That's the reason why "vgscan --mknodes" did not warn about anything before
>        the change...
>     
> 3. /etc/init.d/lvm2 script is running, calling:
> 
>       /sbin/vgscan --ignorelockingfailure --mknodes
> 
>    The "--mknodes" shouldn't be used actually when we use udev with lvm2/libdevmapper.
>    Since we have udev support enabled, we expect that the symlinks are created by udev
>    itself. If we detect that they're missing, we issue a warning message and fallback
>    to direct link creation.
> 
>    Maybe:
> 
>        "udevadm trigger --action=change --attr-match=dm/name
> 
>    or
> 
>        "udevadm trigger --actoin=change --sysname-match=dm-*
> 
>    is more appropriate here instead (I assume that would also be a nice way how to support
>    even non-udev initrds if someone makes his own...).
> 
> 
> So, basically, the main source of the problem was the "--mknodes" parameter in that lvm2
> init hook - that udevadm trigger --action=change should be used instead.
> 
> But also, I really recommend using latest upstream release with the rules that should handle
> those synthesized events properly (even the udev's initial udevadm trigger --action=ADD).
> We relied on udev init script to set the ENV{STARTUP}="1" before calling the trigger, but
> this solution was deprecated (as we discussed it more with upstream udev). So we came with
> this DM_UDEV_PRIMARY_SOURCE_FLAG checking and keeping the udev database from initrd then
> (which is a more correct solution anyway).
> 
> Maybe this should be forwarded to Debian's lvm2 maintainer to make appropriate
> changes/updates.
> 
> If there's any other problem, please, let me know...
> 
> Peter
> 

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Bug 593375 cloned as bug 593625. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Thu, 19 Aug 2010 17:33:03 GMT) Full text and rfc822 format available.

Severity set to 'critical' from 'normal' Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Thu, 19 Aug 2010 17:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#593375; Package udev. (Sun, 29 Aug 2010 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 29 Aug 2010 12:15:03 GMT) Full text and rfc822 format available.

Message #39 received at 593375@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Marco d'Itri <md@Linux.IT>
Cc: 593375@bugs.debian.org
Subject: Re: Bug#593375: udev: Doesnt create lvm symlinks
Date: Sun, 29 Aug 2010 14:11:51 +0200
tags 593375 help
thanks

On Thu, Aug 19, 2010 at 07:29:57PM +0200, Marco d'Itri wrote:
> Please let me know your plans about this, I need to upload a new udev
> package with a fix.

No idea what you are talking about. Please provide patches.

My fix would be to trash the whole udev integration for now.

Bastian

-- 
Without facts, the decision cannot be made logically.  You must rely on
your human intuition.
		-- Spock, "Assignment: Earth", stardate unknown




Added tag(s) help. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sun, 29 Aug 2010 12:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#593375; Package udev. (Sun, 29 Aug 2010 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 29 Aug 2010 12:42:03 GMT) Full text and rfc822 format available.

Message #46 received at 593375@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Bastian Blank <waldi@debian.org>
Cc: 593375@bugs.debian.org
Subject: Re: Bug#593375: udev: Doesnt create lvm symlinks
Date: Sun, 29 Aug 2010 14:39:20 +0200
[Message part 1 (text/plain, inline)]
On Aug 29, Bastian Blank <waldi@debian.org> wrote:

> No idea what you are talking about. Please provide patches.
I think it is explained in the message I forwarded: either you package a
more recent release or backport its rules files.

> My fix would be to trash the whole udev integration for now.
I am sure this would be a great service to your users.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 593375: 593625 Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Sun, 29 Aug 2010 20:09:05 GMT) Full text and rfc822 format available.

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Sun, 17 Oct 2010 00:48:14 GMT) Full text and rfc822 format available.

Notification sent to "Jean-Luc Coulon \(f5ibh\)" <jean-luc.coulon@wanadoo.fr>:
Bug acknowledged by developer. (Sun, 17 Oct 2010 00:48:14 GMT) Full text and rfc822 format available.

Message #53 received at 593375-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 593375-close@bugs.debian.org
Subject: Bug#593375: fixed in udev 163-1
Date: Sun, 17 Oct 2010 00:45:53 +0000
Source: udev
Source-Version: 163-1

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

gir1.0-gudev-1.0_163-1_i386.deb
  to main/u/udev/gir1.0-gudev-1.0_163-1_i386.deb
libgudev-1.0-0_163-1_i386.deb
  to main/u/udev/libgudev-1.0-0_163-1_i386.deb
libgudev-1.0-dev_163-1_i386.deb
  to main/u/udev/libgudev-1.0-dev_163-1_i386.deb
libudev-dev_163-1_i386.deb
  to main/u/udev/libudev-dev_163-1_i386.deb
libudev0_163-1_i386.deb
  to main/u/udev/libudev0_163-1_i386.deb
udev-gtk-udeb_163-1_i386.udeb
  to main/u/udev/udev-gtk-udeb_163-1_i386.udeb
udev-udeb_163-1_i386.udeb
  to main/u/udev/udev-udeb_163-1_i386.udeb
udev_163-1.diff.gz
  to main/u/udev/udev_163-1.diff.gz
udev_163-1.dsc
  to main/u/udev/udev_163-1.dsc
udev_163-1_i386.deb
  to main/u/udev/udev_163-1_i386.deb
udev_163.orig.tar.gz
  to main/u/udev/udev_163.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 593375@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 17 Oct 2010 00:34:50 +0200
Source: udev
Binary: udev libudev0 libudev-dev udev-udeb udev-gtk-udeb libgudev-1.0-0 gir1.0-gudev-1.0 libgudev-1.0-dev
Architecture: source i386
Version: 163-1
Distribution: unstable
Urgency: low
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 gir1.0-gudev-1.0 - libgudev-1.0 introspection data
 libgudev-1.0-0 - GObject-based wrapper library for libudev
 libgudev-1.0-dev - libgudev-1.0 development files
 libudev-dev - libudev development files
 libudev0   - libudev shared library
 udev       - /dev/ and hotplug management daemon
 udev-gtk-udeb - libudev shared library (udeb)
 udev-udeb  - /dev/ and hotplug management daemon (udeb)
Closes: 526621 571255 593375 593881 595157 596165 596387 598254 598337 599074 599761 600207
Changes: 
 udev (163-1) unstable; urgency=low
 .
   * New upstream bugfix release. Fixes:
     + detection of multisession DVDs. (Closes: #596387)
   * CONFIG_SYSFS_DEPRECATED was disabled in the Debian kernel packages in
     2.6.28-1, so add a Breaks: against any linux-image-2.6-$flavor
     metapackages earlier than 2.6.28. Patch courtesy of Steve Langasek.
   * When CONFIG_SYSFS_DEPRECATED is enabled in the running kernel, instead
     of aborting the installation show a debconf error message advising to
     upgrade, since this is a commonly-encountered problem on upgrades from
     lenny to squeeze and aborting leaves the system in a difficult-to-correct
     state. Patch courtesy of Steve Langasek. (Closes: #571255)
   * Since lvm still has not been fixed, revert the change from 161-1 and
     delete again the udev database created by the initramfs udev.
     (See #590665 and #593625). (Closes: #593375, #595157)
   * Depend on hardening-includes.
   * Fixed support for the deprecated tmpfs_size option. (Closes: #599074)
   * Fixed support for device ACLs. (Closes: #593881)
   * Fixed support for VIO devices. (Closes: #526621)
   * Updated one ore more debconf translations.
     (Closes: #596165, #598254, #598337, #599761, #600207)
Checksums-Sha1: 
 46a70cc91e778e519168762c0c6095ff8aac257e 1424 udev_163-1.dsc
 4152c76189ee8e88e710ca794c77aa4cb0873d73 683321 udev_163.orig.tar.gz
 7b77d96c1437de0059b1665b5d0f442c1a62d789 82267 udev_163-1.diff.gz
 cf800824e61ed121c2a7f4669283ef544213ac28 501084 udev_163-1_i386.deb
 4b500910ac91ab0392bdeae387693b7999fa87d6 114130 libudev0_163-1_i386.deb
 26cd7b229dba487eeb8f7a066c714df8f4440a46 52752 libudev-dev_163-1_i386.deb
 6ed3d84909a8e12413773d80c61145aaf079160e 184666 udev-udeb_163-1_i386.udeb
 cc2ad346f9fcd82a8577a5af0d6ec436f360a066 24882 udev-gtk-udeb_163-1_i386.udeb
 75f7e0b348a933593bcc9920359c40e590d18c90 99398 libgudev-1.0-0_163-1_i386.deb
 4620db02c02433f9e7e0e1adb4335a5ddd35b9ac 2494 gir1.0-gudev-1.0_163-1_i386.deb
 2bc04f8a5907815c3d577764b4b815c9849afd60 34058 libgudev-1.0-dev_163-1_i386.deb
Checksums-Sha256: 
 9c8d6daac37da9655c5d83872f65edf71444467843bc46744c6c3903293214b3 1424 udev_163-1.dsc
 a58f3d1ec20b897d90add2568bf8f5ded95abfa28fd41c7d5cf4e756f413c196 683321 udev_163.orig.tar.gz
 d1176b832482d001103280e8b77f77a54bcd15a1d7feb8765dd9a8574bd465e1 82267 udev_163-1.diff.gz
 a4c06094d4e62a58313766ee942b44701a74d0c1db50e04dea4a66c166fea278 501084 udev_163-1_i386.deb
 df7d316eed9ca5377e2bf3ceb32890c6e887fc07f3957fa635b87d5bee04113c 114130 libudev0_163-1_i386.deb
 dec509e6c54d6404421051a7bfec6d78ece5bbde78fd1361b52a6c5303c5d70d 52752 libudev-dev_163-1_i386.deb
 58f5229794d57f2b169eb8db9f98561f1e72cd922ca3e1f5c027010d1fc48ba4 184666 udev-udeb_163-1_i386.udeb
 832bb0c1c459b025e9cf4d20d0acb868c80058759a14c418265c12e169e442fa 24882 udev-gtk-udeb_163-1_i386.udeb
 057e14e19d454ec69b82997bfc6c6429dfd8cfe26a613f4350732988a2177660 99398 libgudev-1.0-0_163-1_i386.deb
 bf35d6bdaaf4794360dc1de1fa0b4ea3d4c4786e5623f63fe8ebe03923ca68b9 2494 gir1.0-gudev-1.0_163-1_i386.deb
 4e6ba058743cd20032bc15fee8832520eac573c55dcef4dd8baa9279c54b1651 34058 libgudev-1.0-dev_163-1_i386.deb
Files: 
 b8946717a4c3e27dff475ac7ee17d495 1424 admin important udev_163-1.dsc
 97498eb9272297ea3717bffb4dd8748e 683321 admin important udev_163.orig.tar.gz
 caceccb023754fae1d6c17354563c75a 82267 admin important udev_163-1.diff.gz
 e77de8c6d83903ac4a87dad3f8f4534d 501084 admin important udev_163-1_i386.deb
 d128b3cdc3fae6eb3f4a1f8d280104b8 114130 libs optional libudev0_163-1_i386.deb
 ea46c4c215b89aba81f3de7522085ce5 52752 libdevel optional libudev-dev_163-1_i386.deb
 ac2255e022d00c76cbaeb4736e2299b8 184666 debian-installer important udev-udeb_163-1_i386.udeb
 5058253fc28e44b6e91aaabb93a2c949 24882 debian-installer optional udev-gtk-udeb_163-1_i386.udeb
 37123c0dbdc9853db265dbb78ef6edc5 99398 libs optional libgudev-1.0-0_163-1_i386.deb
 ba7286abc8faea4828b4cf2ba5643ba0 2494 libs optional gir1.0-gudev-1.0_163-1_i386.deb
 565ac51755058dd185042dadf21000cf 34058 libdevel optional libgudev-1.0-dev_163-1_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAky6K1MACgkQFGfw2OHuP7HWZACfXIBTEL0q/ilFdT1aLektWXY1
ArAAnRFFN9zbIbbw9LWhFlbGitBZWQMy
=Tfex
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Nov 2010 07:33:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:13:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.